# class ParsePoint | The parsing context. More...
Full name | `TelEngine::ParsePoint`
Definition | `#include <libs/yscript/yatescript.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- explicit inline ParsePoint (const char*& expr, ExpEvaluator* eval = 0, unsigned int lineNo = 0, const char* fileName = 0, const char* seps = 0)
- ParsePoint& operator= (ParsePoint& parsePoint)
- inline operator const char*& ()
- inline ParsePoint& operator= (const char* newExpr)
- inline ParsePoint& operator++ ()
- inline ParsePoint& operator++ (int unused)
- inline char firstChar ()

#### Public Members

- const char* m_expr
- const char* m_searchedSeps
- unsigned int m_count
- char m_foundSep
- unsigned int m_lineNo
- ExpEvaluator* m_eval
- String m_fileName

## Detailed Description

A class used to keep a parsing context

explicit inline ParsePoint (const char*& expr, ExpEvaluator* eval = 0, unsigned int lineNo = 0, const char* fileName = 0, const char* seps = 0) | ### ParsePoint

Constructor

Parameters:

expr | Expression to be parsed
eval | ExpEvaluator associated with this parsing context
lineNo | The line number that is currently parsed
fileName | File name associated with this context
seps | Searched separator during parsing

ParsePoint& operator= (ParsePoint& parsePoint) | ### operator=

Assignment operator

Parameters:

parsePoint | Parsing context which is to be assigned to this parsing context

inline operator const char*& () | ### operator const char*&

Cast operator to const char*&

inline ParsePoint& operator= (const char* newExpr) | ### operator=

Assignement from const char*

inline ParsePoint& operator++ () | ### operator++

Prefix incrementation operator. Incrementes the internal expression

inline ParsePoint& operator++ (int unused) | ### operator++

Postfix incrementation operator. Incrementes the internal expression

inline char firstChar () | ### firstChar

Get first char in the parsed expression

Returns: First char in the expression to be parsed

const char* m_expr | ### m_expr

const char* m_searchedSeps | ### m_searchedSeps

unsigned int m_count | ### m_count

char m_foundSep | ### m_foundSep

unsigned int m_lineNo | ### m_lineNo

ExpEvaluator* m_eval | ### m_eval

String m_fileName | ### m_fileName

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.